
QGIS Application - Bug report #4294

Symbol and text rotation/placement errors

2011-09-19 01:20 PM - Andrew Chapman

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14231

Description

The attached project and layer shows several problems using old and new symbology plus old with old and new labels.

1) Rotation of (old) label is anticlockwise, but symbols rotate anticlockwise - they both sould go the same way.

2) New label doesn't rotate

3) Rotation field for new label needs values for position (distance, X & Y) before rotation is enabled

4) Old label doesn't centre text on anchor point - too low vertically

Related issues:

Duplicates QGIS Application - Bug report # 2081: Old Symbology: different rot... Closed

History

#1 - 2011-09-21 09:38 AM - Andrew Chapman

This may mainly be a duplicate of #2081

#2 - 2011-12-16 02:11 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#3 - 2012-04-16 06:29 AM - Paolo Cavallini

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

#4 - 2012-09-04 11:57 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2013-07-21 04:52 PM - Daniel Vaz

As mentioned above, it is a duplicate of #2081.

Please, close this and keep watching in #2081

Thanks in advance.

#6 - 2013-07-21 05:08 PM - Daniel Vaz

- Status changed from Open to Closed
#2081 was closed because old symbology was no longer support in 2.0.0

I will close it too, please reopen if necessary.

Files

Rotation_bug.zip 10.5 KB 2011-09-19 Andrew Chapman
